module oc_baseop_mod
  implicit none

contains


  subroutine oc_add(file1_, file2_, file3)

    call sseek(file1_, 0, 0)
    call sseek(file2_, 0, 0)

    call sep_read(file1, file1_)
    call sep_read(file2, file2_)

    file1 = file1 + file2

    call sseek(file1, 0, 0)
    call sep_write(file1, file1_)
  end subroutine

  subroutine oc_dif()

  subroutine oc_mul()

  subroutine oc_div()
end module
